Subject: Re: cygiwn newline character
From: Wayne Willcox <[email-masked]>
To: [email-masked]
Cc: hrishy <[email-masked]>, Cygwin <[email-masked]>
Date: Thu, 18 Oct 2001 15:13:05 -0500

Why a $ this certainly will not work on AIX or FreeBSD both of those systems
will return the following output.
hello world $    hi there

Okay the tab is now being honored but you would have to cut the $.

On Thu, Oct 18, 2001 at 01:06:29PM -0400, Alec Mihailovs wrote:
> You should put a $ sign in front of '\t' :
> 
> echo hello world $'\t' hi there 
> 
> Alec
> 
> -----Original Message-----
> 
> i am running the following programme under windows 
> #!/bin/sh
> echo hello world '\t' hi there
> 
> i am getting the output as hello world '\t' hi there
> 
> wheras i require the output to be
> hello word      hi there
> 
> could anybody please help
> 
> regards
> Hrishy
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
Slowly and surely the unix crept up on the Nintendo user ...
Wayne Willcox                          I will not eat green eggs and ham
[email-masked]                     I will not eat them Sam I Am!!
A wise person makes his own decisions, a weak one obeys public opinion.
                -- Chinese proverb

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/